//
//  TreeFliteLocationCell.swift
//  IFS
//
//  Created by Tiank on 2018/7/26.
//  Copyright © 2018年 上海勾芒信息科技有限公司. All rights reserved.
//

import UIKit

class TreeFliteLocationCell: UITableViewCell {

    @IBOutlet weak var nameLabelLeft: NSLayoutConstraint!
    @IBOutlet weak var hintImageView: UIImageView!
    @IBOutlet weak var nameLabel: UILabel!
    override func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

    }
    func updateUI(model:TreeLocationModel,level:Int){
        hintImageView.image = model.isOpen ? #imageLiteral(resourceName: "list_arrow_up") : #imageLiteral(resourceName: "list_arrow_right")
        hintImageView.isHidden = (model.children?.count ?? 0) < 1
        nameLabel.text = model.name
        nameLabel.textColor = model.isSelect ? UIColor(r: 111, g: 150, b: 245, a: 1) : UIColor(r: 51, g: 51, b: 51, a: 1)
        nameLabelLeft.constant = CGFloat(15 * level) + 15
    }
}
